This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 73893 - (mozilla) unowned directories + umask of 077 causes badness
(mozilla) unowned directories + umask of 077 causes badness
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
: 155887 (view as bug list)
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2002-09-12 19:34 EDT by Enrico Scholz
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 15:06:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-12 19:34:07 EDT
Description of Problem:

Because the mozilla-packages are containing LOTZ of unowned directories,
these directories will be created with the current umask. When having
restrictive administrator settings (umask 077), mozilla will not work.

Another problem occurs when removing packages. Then a lot of orphaned
directories are remaining.

| $ rpm -qf /usr/lib/mozilla-1.0.1/ /usr/lib/mozilla-1.0.1/regExport 
| file /usr/lib/mozilla-1.0.1 is not owned by any package
| mozilla-1.0.1-24


Version-Release number of selected component (if applicable):

mozilla-1.0.1-24


How Reproducible:

100%


Steps to Reproduce:
1. umask 077
2. make sure that mozilla is uninstalled completely (rm -rf
   /usr/lib/mozilla-1.0.1)
3. rpm -U mozilla-1.0.1-24.i386.rpm
4. ls -l /usr/lib/mozilla-1.0.1
5. start mozilla as user
6. rpm -e mozilla

Actual Results:

| drwx------    2 root     root         4096 Sep 13 01:16 /usr/lib/mozilla-1.0.1

at 4; mozilla can not find files at 5 and /usr/lib/mozilla-1.0.1 still
exists after 6.


Additional Information:

The following directories are affected:

   * mozilla-1.0.1-24
         o /usr/lib/mozilla-1.0.1
         o /usr/lib/mozilla-1.0.1/defaults/autoconfig
         o /usr/lib/mozilla-1.0.1/res/dtd
         o /usr/lib/mozilla-1.0.1/res/fonts

   * mozilla-chat-1.0.1-24
   	  o /usr/lib/mozilla-1.0.1

   * mozilla-devel-1.0.1-24
         o /usr/include/mozilla-1.0.1
         o /usr/include/mozilla-1.0.1/absyncsvc
         o /usr/include/mozilla-1.0.1/accessibility
         o /usr/include/mozilla-1.0.1/addrbook
         o /usr/include/mozilla-1.0.1/appcomps
         o /usr/include/mozilla-1.0.1/appshell
         o /usr/include/mozilla-1.0.1/autoconfig
         o /usr/include/mozilla-1.0.1/browser
         o /usr/include/mozilla-1.0.1/caps
         o /usr/include/mozilla-1.0.1/chardet
         o /usr/include/mozilla-1.0.1/chrome
         o /usr/include/mozilla-1.0.1/commandhandler
         o /usr/include/mozilla-1.0.1/composer
         o /usr/include/mozilla-1.0.1/content
         o /usr/include/mozilla-1.0.1/cookie
         o /usr/include/mozilla-1.0.1/dbm
         o /usr/include/mozilla-1.0.1/docshell
         o /usr/include/mozilla-1.0.1/dom
         o /usr/include/mozilla-1.0.1/downloadmanager
         o /usr/include/mozilla-1.0.1/editor
         o /usr/include/mozilla-1.0.1/embed_base
         o /usr/include/mozilla-1.0.1/embedcomponents
         o /usr/include/mozilla-1.0.1/expat
         o /usr/include/mozilla-1.0.1/exthandler
         o /usr/include/mozilla-1.0.1/filepicker
         o /usr/include/mozilla-1.0.1/find
         o /usr/include/mozilla-1.0.1/gfx
         o /usr/include/mozilla-1.0.1/gfx2
         o /usr/include/mozilla-1.0.1/gtkembedmoz
         o /usr/include/mozilla-1.0.1/gtkxtbin
         o /usr/include/mozilla-1.0.1/helperAppDlg
         o /usr/include/mozilla-1.0.1/htmlparser
         o /usr/include/mozilla-1.0.1/imglib2
         o /usr/include/mozilla-1.0.1/impComm4xMail
         o /usr/include/mozilla-1.0.1/import
         o /usr/include/mozilla-1.0.1/inspector
         o /usr/include/mozilla-1.0.1/intl
         o /usr/include/mozilla-1.0.1/jar
         o /usr/include/mozilla-1.0.1/java
         o /usr/include/mozilla-1.0.1/jpeg
         o /usr/include/mozilla-1.0.1/js
         o /usr/include/mozilla-1.0.1/jsconsole
         o /usr/include/mozilla-1.0.1/jsdebug
         o /usr/include/mozilla-1.0.1/jsurl
         o /usr/include/mozilla-1.0.1/layout
         o /usr/include/mozilla-1.0.1/ldap
         o /usr/include/mozilla-1.0.1/libreg
         o /usr/include/mozilla-1.0.1/locale
         o /usr/include/mozilla-1.0.1/lwbrk
         o /usr/include/mozilla-1.0.1/mailnews
         o /usr/include/mozilla-1.0.1/mime
         o /usr/include/mozilla-1.0.1/mimeemitter
         o /usr/include/mozilla-1.0.1/mimetype
         o /usr/include/mozilla-1.0.1/mng
         o /usr/include/mozilla-1.0.1/mork
         o /usr/include/mozilla-1.0.1/mozldap
         o /usr/include/mozilla-1.0.1/mozxfer
         o /usr/include/mozilla-1.0.1/mpfilelocprovider
         o /usr/include/mozilla-1.0.1/msgbase
         o /usr/include/mozilla-1.0.1/msgbaseutil
         o /usr/include/mozilla-1.0.1/msgcompose
         o /usr/include/mozilla-1.0.1/msgdb
         o /usr/include/mozilla-1.0.1/msgimap
         o /usr/include/mozilla-1.0.1/msglocal
         o /usr/include/mozilla-1.0.1/msgmdn
         o /usr/include/mozilla-1.0.1/msgnews
         o /usr/include/mozilla-1.0.1/msgsmime
         o /usr/include/mozilla-1.0.1/necko
         o /usr/include/mozilla-1.0.1/necko2
         o /usr/include/mozilla-1.0.1/nkcache
         o /usr/include/mozilla-1.0.1/oji
         o /usr/include/mozilla-1.0.1/pipboot
         o /usr/include/mozilla-1.0.1/pipnss
         o /usr/include/mozilla-1.0.1/pippki
         o /usr/include/mozilla-1.0.1/plugin
         o /usr/include/mozilla-1.0.1/png
         o /usr/include/mozilla-1.0.1/pref
         o /usr/include/mozilla-1.0.1/prefmigr
         o /usr/include/mozilla-1.0.1/profile
         o /usr/include/mozilla-1.0.1/progressDlg
         o /usr/include/mozilla-1.0.1/rdf
         o /usr/include/mozilla-1.0.1/rdfutil
         o /usr/include/mozilla-1.0.1/regviewer
         o /usr/include/mozilla-1.0.1/shistory
         o /usr/include/mozilla-1.0.1/sidebar
         o /usr/include/mozilla-1.0.1/string
         o /usr/include/mozilla-1.0.1/transformiix
         o /usr/include/mozilla-1.0.1/txmgr
         o /usr/include/mozilla-1.0.1/txtsvc
         o /usr/include/mozilla-1.0.1/uconv
         o /usr/include/mozilla-1.0.1/ucvcn
         o /usr/include/mozilla-1.0.1/ucvibm
         o /usr/include/mozilla-1.0.1/ucvja
         o /usr/include/mozilla-1.0.1/ucvko
         o /usr/include/mozilla-1.0.1/ucvlatin
         o /usr/include/mozilla-1.0.1/ucvmath
         o /usr/include/mozilla-1.0.1/ucvtw
         o /usr/include/mozilla-1.0.1/ucvtw2
         o /usr/include/mozilla-1.0.1/unicharutil
         o /usr/include/mozilla-1.0.1/uriloader
         o /usr/include/mozilla-1.0.1/util
         o /usr/include/mozilla-1.0.1/view
         o /usr/include/mozilla-1.0.1/wallet
         o /usr/include/mozilla-1.0.1/walletviewers
         o /usr/include/mozilla-1.0.1/webbrowserpersist
         o /usr/include/mozilla-1.0.1/webbrwsr
         o /usr/include/mozilla-1.0.1/webshell
         o /usr/include/mozilla-1.0.1/widget
         o /usr/include/mozilla-1.0.1/windowwatcher
         o /usr/include/mozilla-1.0.1/xml-rpc
         o /usr/include/mozilla-1.0.1/xmlextras
         o /usr/include/mozilla-1.0.1/xpcom
         o /usr/include/mozilla-1.0.1/xpconnect
         o /usr/include/mozilla-1.0.1/xpinstall
         o /usr/include/mozilla-1.0.1/xpnet
         o /usr/include/mozilla-1.0.1/xremoteservice
         o /usr/include/mozilla-1.0.1/xul
         o /usr/include/mozilla-1.0.1/xuldoc
         o /usr/include/mozilla-1.0.1/xultmpl
         o /usr/include/mozilla-1.0.1/zlib
         o /usr/lib/mozilla-1.0.1
         o /usr/share/idl/mozilla-1.0.1
         o /usr/share/idl

   * mozilla-dom-inspector-1.0.1-24
         o /usr/lib/mozilla-1.0.1
         o /usr/lib/mozilla-1.0.1/res/inspector

   * mozilla-js-debugger-1.0.1-24
         o /usr/lib/mozilla-1.0.1

   * mozilla-mail-1.0.1-24
         o /usr/lib/mozilla-1.0.1
         o /usr/share/applications

   * mozilla-nspr-devel-1.0.1-24
         o /usr/include/mozilla-1.0.1
         o /usr/include/mozilla-1.0.1/nspr
         o /usr/include/mozilla-1.0.1/nspr/md
         o /usr/include/mozilla-1.0.1/nspr/obsolete
         o /usr/include/mozilla-1.0.1/nspr/private
         o /usr/lib/pkgconfig

   * mozilla-nss-1.0.1-24
         o /usr/lib/mozilla-1.0.1

   * mozilla-nss-devel-1.0.1-24
         o /usr/include/mozilla-1.0.1
         o /usr/include/mozilla-1.0.1/nss

   * mozilla-psm-1.0.1-24
	 o /usr/lib/mozilla-1.0.1
Comment 1 Warren Togami 2005-04-25 03:49:41 EDT
Is this still an issue?
Comment 2 Kent Baxley 2005-05-03 14:48:21 EDT
I think this is a problem with the latest mozilla mozilla-1.7.7-1.1.3.4
in RHEL 3.  I have an Issue Tracker opened on it now:  72095
Comment 3 Warren Togami 2005-05-12 04:39:58 EDT
*** Bug 155887 has been marked as a duplicate of this bug. ***
Comment 4 Christopher Blizzard 2005-05-27 19:34:21 EDT
Will be fixed in mozilla version 1.7.8-1.1.3.2.
Comment 6 Christopher Aillon 2006-10-30 15:06:52 EST
Resolving per comment 4.

Note You need to log in before you can comment on or make changes to this bug.